Delete a user specified by a user attribute (Machine-to-Machine)
curl --request DELETE \
--url https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/activation/user/byattribute/{attributeName}/{attributeValue} \
--header 'Authorization: Bearer <token>'import requests
url = "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/activation/user/byattribute/{attributeName}/{attributeValue}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/activation/user/byattribute/{attributeName}/{attributeValue}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/activation/user/byattribute/{attributeName}/{attributeValue}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/activation/user/byattribute/{attributeName}/{attributeValue}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/activation/user/byattribute/{attributeName}/{attributeValue}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/activation/user/byattribute/{attributeName}/{attributeValue}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyThis response has no body data.{
"fieldErrors": [
{
"code": "NotNull",
"code_v2": "not-null",
"field": "name",
"message": "Value must not be null",
"rejectedValue": "bad value"
}
],
"operationErrors": [
{
"code": "non-unique-attribute",
"message": "Search criteria does not give unique result"
}
]
}{
"stackTrace": "<string>",
"operationErrors": [
{
"code": "authentication-required",
"message": "Full Authentication Required"
}
]
}{
"stackTrace": "<string>",
"operationErrors": [
{
"code": "ACCESS_FORBIDDEN",
"message": "Access Denied"
}
]
}{
"operationErrors": [
{
"code": "user-not-found",
"message": "User not found"
}
]
}{
"operationErrors": [
{
"code": "user-active-subscription",
"message": "User not found"
}
]
}Delete a user specified by a user attribute (Machine-to-Machine)
Deletes the user specified by the attributeName and attributeValue parameters. Also deletes any associations that the user has with other Connect entities.
DELETE
/
activation
/
user
/
byattribute
/
{attributeName}
/
{attributeValue}
Delete a user specified by a user attribute (Machine-to-Machine)
curl --request DELETE \
--url https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/activation/user/byattribute/{attributeName}/{attributeValue} \
--header 'Authorization: Bearer <token>'import requests
url = "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/activation/user/byattribute/{attributeName}/{attributeValue}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/activation/user/byattribute/{attributeName}/{attributeValue}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/activation/user/byattribute/{attributeName}/{attributeValue}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/activation/user/byattribute/{attributeName}/{attributeValue}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/activation/user/byattribute/{attributeName}/{attributeValue}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/activation/user/byattribute/{attributeName}/{attributeValue}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyThis response has no body data.{
"fieldErrors": [
{
"code": "NotNull",
"code_v2": "not-null",
"field": "name",
"message": "Value must not be null",
"rejectedValue": "bad value"
}
],
"operationErrors": [
{
"code": "non-unique-attribute",
"message": "Search criteria does not give unique result"
}
]
}{
"stackTrace": "<string>",
"operationErrors": [
{
"code": "authentication-required",
"message": "Full Authentication Required"
}
]
}{
"stackTrace": "<string>",
"operationErrors": [
{
"code": "ACCESS_FORBIDDEN",
"message": "Access Denied"
}
]
}{
"operationErrors": [
{
"code": "user-not-found",
"message": "User not found"
}
]
}{
"operationErrors": [
{
"code": "user-active-subscription",
"message": "User not found"
}
]
}Authorizations
OAuth 2.0 Authentication
Path Parameters
The name of the attribute that identifies the user: 'emails.email'
The value of the attribute that identifies the user: john@example.com
Response
OK

